import time
from random import normalvariate
import numpy as np
from scipy.stats import poisson

__all__ = ["PMT", "RedPitaya"]

class PMT: #{{{
    def __init__(self, mean=50):
        self.mean = mean

    def count(self):
        return poisson.rvs(self.mean)

    def change_mean(self, new_mean):
        self.mean = new_mean
# }}}

class RedPitaya: #{{{
    def __init__(self, mean=10., std=1.):
        self.mean = mean
        self.std = std

    def give_measurement(self):
        return self.mean + normalvariate(0, 1)*self.std
#}}}
